Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class ObjectFactory

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the umontreal.iro.lecuyer.contactcenters.msk.params package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: umontreal.iro.lecuyer.contactcenters.msk.params

Method Summary
`AgentGroupIndex` | `createAgentGroupIndex()` Create an instance of `AgentGroupIndex`
`AgentGroupParams` | `createAgentGroupParams()` Create an instance of `AgentGroupParams`
`AgentGroupScheduleParams` | `createAgentGroupScheduleParams()` Create an instance of `AgentGroupScheduleParams`
`AgentParams` | `createAgentParams()` Create an instance of `AgentParams`
`ArrivalProcessParams` | `createArrivalProcessParams()` Create an instance of `ArrivalProcessParams`
`CallCenterParams` | `createCallCenterParams()` Create an instance of `CallCenterParams`
`CallTypeRoutingParams` | `createCallTypeRoutingParams()` Create an instance of `CallTypeRoutingParams`
`ConditionParams` | `createConditionParams()` Create an instance of `ConditionParams`
`ConditionParamsList` | `createConditionParamsList()` Create an instance of `ConditionParamsList`
`JAXBElement<ConditionParamsList>` | `createConditionParamsListAll(ConditionParamsList value)` Create an instance of `JAXBElement``<``ConditionParamsList``>`}
`JAXBElement<Named>` | `createConditionParamsListCustom(Named value)` Create an instance of `JAXBElement``<``Named``>`}
`JAXBElement<ConditionParamsList>` | `createConditionParamsListEither(ConditionParamsList value)` Create an instance of `JAXBElement``<``ConditionParamsList``>`}
`JAXBElement<TwoIndicesWithTypesParams>` | `createConditionParamsListFracBusyAgents(TwoIndicesWithTypesParams value)` Create an instance of `JAXBElement``<``TwoIndicesWithTypesParams``>`}
`JAXBElement<IndexThreshWithTypeParams>` | `createConditionParamsListFracBusyAgentsThresh(IndexThreshWithTypeParams value)` Create an instance of `JAXBElement``<``IndexThreshWithTypeParams``>`}
`JAXBElement<TwoIndicesParams>` | `createConditionParamsListNumFreeAgents(TwoIndicesParams value)` Create an instance of `JAXBElement``<``TwoIndicesParams``>`}
`JAXBElement<IndexThreshIntParams>` | `createConditionParamsListNumFreeAgentsThresh(IndexThreshIntParams value)` Create an instance of `JAXBElement``<``IndexThreshIntParams``>`}
`JAXBElement<TwoIndicesWithTypesParams>` | `createConditionParamsListQueueSizes(TwoIndicesWithTypesParams value)` Create an instance of `JAXBElement``<``TwoIndicesWithTypesParams``>`}
`JAXBElement<IndexThreshIntWithTypeParams>` | `createConditionParamsListQueueSizeThresh(IndexThreshIntWithTypeParams value)` Create an instance of `JAXBElement``<``IndexThreshIntWithTypeParams``>`}
`JAXBElement<StatConditionParams>` | `createConditionParamsListStat(StatConditionParams value)` Create an instance of `JAXBElement``<``StatConditionParams``>`}
`DefaultCaseParams` | `createDefaultCaseParams()` Create an instance of `DefaultCaseParams`
`DialerAgentGroupParams` | `createDialerAgentGroupParams()` Create an instance of `DialerAgentGroupParams`
`DialerLimitParams` | `createDialerLimitParams()` Create an instance of `DialerLimitParams`
`DialerParams` | `createDialerParams()` Create an instance of `DialerParams`
`DoubleArrayWithMinWaitingTime` | `createDoubleArrayWithMinWaitingTime()` Create an instance of `DoubleArrayWithMinWaitingTime`
`InboundTypeParams` | `createInboundTypeParams()` Create an instance of `InboundTypeParams`
`IndexThreshIntParams` | `createIndexThreshIntParams()` Create an instance of `IndexThreshIntParams`
`IndexThreshIntWithTypeParams` | `createIndexThreshIntWithTypeParams()` Create an instance of `IndexThreshIntWithTypeParams`
`IndexThreshParams` | `createIndexThreshParams()` Create an instance of `IndexThreshParams`
`IndexThreshWithTypeParams` | `createIndexThreshWithTypeParams()` Create an instance of `IndexThreshWithTypeParams`
`JAXBElement<CallCenterParams>` | `createMSKCCParams(CallCenterParams value)` Create an instance of `JAXBElement``<``CallCenterParams``>`}
`OutboundTypeParams` | `createOutboundTypeParams()` Create an instance of `OutboundTypeParams`
`ProducedCallTypeParams` | `createProducedCallTypeParams()` Create an instance of `ProducedCallTypeParams`
`RouterParams` | `createRouterParams()` Create an instance of `RouterParams`
`RoutingCaseParams` | `createRoutingCaseParams()` Create an instance of `RoutingCaseParams`
`RoutingStageParams` | `createRoutingStageParams()` Create an instance of `RoutingStageParams`
`RoutingTableSources` | `createRoutingTableSources()` Create an instance of `RoutingTableSources`
`ScheduleShiftParams` | `createScheduleShiftParams()` Create an instance of `ScheduleShiftParams`
`SegmentParams` | `createSegmentParams()` Create an instance of `SegmentParams`
`ServiceTimeParams` | `createServiceTimeParams()` Create an instance of `ServiceTimeParams`
`ShiftPartParams` | `createShiftPartParams()` Create an instance of `ShiftPartParams`
`StatConditionParams` | `createStatConditionParams()` Create an instance of `StatConditionParams`
`TimeIntervalParams` | `createTimeIntervalParams()` Create an instance of `TimeIntervalParams`
`TwoIndicesParams` | `createTwoIndicesParams()` Create an instance of `TwoIndicesParams`
`TwoIndicesWithTypesParams` | `createTwoIndicesWithTypesParams()` Create an instance of `TwoIndicesWithTypesParams`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: umontreal.iro.lecuyer.contactcenters.msk.params

Method Detail

### createConditionParams

    public ConditionParams createConditionParams()

  Create an instance of `ConditionParams`

### createDialerParams

    public DialerParams createDialerParams()

  Create an instance of `DialerParams`

### createAgentGroupScheduleParams

    public AgentGroupScheduleParams createAgentGroupScheduleParams()

  Create an instance of `AgentGroupScheduleParams`

### createArrivalProcessParams

    public ArrivalProcessParams createArrivalProcessParams()

  Create an instance of `ArrivalProcessParams`

### createRouterParams

    public RouterParams createRouterParams()

  Create an instance of `RouterParams`

### createTimeIntervalParams

    public TimeIntervalParams createTimeIntervalParams()

  Create an instance of `TimeIntervalParams`

### createScheduleShiftParams

    public ScheduleShiftParams createScheduleShiftParams()

  Create an instance of `ScheduleShiftParams`

### createShiftPartParams

    public ShiftPartParams createShiftPartParams()

  Create an instance of `ShiftPartParams`

### createRoutingCaseParams

    public RoutingCaseParams createRoutingCaseParams()

  Create an instance of `RoutingCaseParams`

### createAgentGroupParams

    public AgentGroupParams createAgentGroupParams()

  Create an instance of `AgentGroupParams`

### createTwoIndicesWithTypesParams

    public TwoIndicesWithTypesParams createTwoIndicesWithTypesParams()

  Create an instance of `TwoIndicesWithTypesParams`

### createProducedCallTypeParams

    public ProducedCallTypeParams createProducedCallTypeParams()

  Create an instance of `ProducedCallTypeParams`

### createCallTypeRoutingParams

    public CallTypeRoutingParams createCallTypeRoutingParams()

  Create an instance of `CallTypeRoutingParams`

### createIndexThreshIntWithTypeParams

    public IndexThreshIntWithTypeParams createIndexThreshIntWithTypeParams()

  Create an instance of `IndexThreshIntWithTypeParams`

### createCallCenterParams

    public CallCenterParams createCallCenterParams()

  Create an instance of `CallCenterParams`

### createOutboundTypeParams

    public OutboundTypeParams createOutboundTypeParams()

  Create an instance of `OutboundTypeParams`

### createAgentGroupIndex

    public AgentGroupIndex createAgentGroupIndex()

  Create an instance of `AgentGroupIndex`

### createDialerAgentGroupParams

    public DialerAgentGroupParams createDialerAgentGroupParams()

  Create an instance of `DialerAgentGroupParams`

### createIndexThreshIntParams

    public IndexThreshIntParams createIndexThreshIntParams()

  Create an instance of `IndexThreshIntParams`

### createTwoIndicesParams

    public TwoIndicesParams createTwoIndicesParams()

  Create an instance of `TwoIndicesParams`

### createIndexThreshWithTypeParams

    public IndexThreshWithTypeParams createIndexThreshWithTypeParams()

  Create an instance of `IndexThreshWithTypeParams`

### createStatConditionParams

    public StatConditionParams createStatConditionParams()

  Create an instance of `StatConditionParams`

### createServiceTimeParams

    public ServiceTimeParams createServiceTimeParams()

  Create an instance of `ServiceTimeParams`

### createInboundTypeParams

    public InboundTypeParams createInboundTypeParams()

  Create an instance of `InboundTypeParams`

### createSegmentParams

    public SegmentParams createSegmentParams()

  Create an instance of `SegmentParams`

### createDialerLimitParams

    public DialerLimitParams createDialerLimitParams()

  Create an instance of `DialerLimitParams`

### createRoutingStageParams

    public RoutingStageParams createRoutingStageParams()

  Create an instance of `RoutingStageParams`

### createIndexThreshParams

    public IndexThreshParams createIndexThreshParams()

  Create an instance of `IndexThreshParams`

### createConditionParamsList

    public ConditionParamsList createConditionParamsList()

  Create an instance of `ConditionParamsList`

### createAgentParams

    public AgentParams createAgentParams()

  Create an instance of `AgentParams`

### createDefaultCaseParams

    public DefaultCaseParams createDefaultCaseParams()

  Create an instance of `DefaultCaseParams`

### createDoubleArrayWithMinWaitingTime

    public DoubleArrayWithMinWaitingTime createDoubleArrayWithMinWaitingTime()

  Create an instance of `DoubleArrayWithMinWaitingTime`

### createRoutingTableSources

    public RoutingTableSources createRoutingTableSources()

  Create an instance of `RoutingTableSources`

### createMSKCCParams

    public JAXBElement<CallCenterParams> createMSKCCParams(CallCenterParams value)

  Create an instance of `JAXBElement``<``CallCenterParams``>`}

### createConditionParamsListNumFreeAgents

    public JAXBElement<TwoIndicesParams> createConditionParamsListNumFreeAgents(TwoIndicesParams value)

  Create an instance of `JAXBElement``<``TwoIndicesParams``>`}

### createConditionParamsListQueueSizeThresh

    public JAXBElement<IndexThreshIntWithTypeParams> createConditionParamsListQueueSizeThresh(IndexThreshIntWithTypeParams value)

  Create an instance of `JAXBElement``<``IndexThreshIntWithTypeParams``>`}

### createConditionParamsListNumFreeAgentsThresh

    public JAXBElement<IndexThreshIntParams> createConditionParamsListNumFreeAgentsThresh(IndexThreshIntParams value)

  Create an instance of `JAXBElement``<``IndexThreshIntParams``>`}

### createConditionParamsListEither

    public JAXBElement<ConditionParamsList> createConditionParamsListEither(ConditionParamsList value)

  Create an instance of `JAXBElement``<``ConditionParamsList``>`}

### createConditionParamsListQueueSizes

    public JAXBElement<TwoIndicesWithTypesParams> createConditionParamsListQueueSizes(TwoIndicesWithTypesParams value)

  Create an instance of `JAXBElement``<``TwoIndicesWithTypesParams``>`}

### createConditionParamsListFracBusyAgents

    public JAXBElement<TwoIndicesWithTypesParams> createConditionParamsListFracBusyAgents(TwoIndicesWithTypesParams value)

  Create an instance of `JAXBElement``<``TwoIndicesWithTypesParams``>`}

### createConditionParamsListFracBusyAgentsThresh

    public JAXBElement<IndexThreshWithTypeParams> createConditionParamsListFracBusyAgentsThresh(IndexThreshWithTypeParams value)

  Create an instance of `JAXBElement``<``IndexThreshWithTypeParams``>`}

### createConditionParamsListAll

    public JAXBElement<ConditionParamsList> createConditionParamsListAll(ConditionParamsList value)

  Create an instance of `JAXBElement``<``ConditionParamsList``>`}

### createConditionParamsListStat

    public JAXBElement<StatConditionParams> createConditionParamsListStat(StatConditionParams value)

  Create an instance of `JAXBElement``<``StatConditionParams``>`}

### createConditionParamsListCustom

    public JAXBElement<Named> createConditionParamsListCustom(Named value)

  Create an instance of `JAXBElement``<``Named``>`}

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.